<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>de.init.xbauleitplanung</groupId>
    <artifactId>xnt</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
    </properties>
	<repositories>
	    <repository>
	        <id>xbauleitplanung</id>
	        <url>file://${project.basedir}/repository</url>
	    </repository>
	</repositories>
    <dependencies>
        <dependency>
            <groupId>org.openjfx</groupId>
            <artifactId>javafx-controls</artifactId>
            <version>13</version>
        </dependency>
        <dependency>
            <groupId>org.openjfx</groupId>
            <artifactId>javafx-fxml</artifactId>
            <version>13</version>
        </dependency>
		<!-- https://mvnrepository.com/artifact/org.fxmisc.richtext/richtextfx -->
		<dependency>
		    <groupId>org.fxmisc.richtext</groupId>
		    <artifactId>richtextfx</artifactId>
		    <version>0.11.0</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/com.github.mifmif/generex -->
		<dependency>
		    <groupId>com.github.mifmif</groupId>
		    <artifactId>generex</artifactId>
		    <version>1.0.2</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-core -->
		<dependency>
		    <groupId>org.apache.logging.log4j</groupId>
		    <artifactId>log4j-core</artifactId>
		    <version>2.20.0</version>
		</dependency>
		<dependency>
		    <groupId>de.init.xbauleitplanung</groupId>
		    <artifactId>xta-client</artifactId>
		    <version>1.0.13</version>
		</dependency>
		<dependency>
		    <groupId>de.init.fitconnect</groupId>
		    <artifactId>fit-connect-client</artifactId>
		    <version>1.1.2-SNAPSHOT</version>
		</dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <release>11</release>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.openjfx</groupId>
                <artifactId>javafx-maven-plugin</artifactId>
                <version>0.0.6</version>
                <executions>
                    <execution>
                        <!-- Default configuration for running -->
                        <!-- Usage: mvn clean javafx:run -->
                        <id>default-cli</id>
                        <configuration>
                            <mainClass>de.init.xbauleitplanung.xnt.App</mainClass>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            
            <!-- Licence information -->
			<plugin>
			  <groupId>com.mycila</groupId>
			  <artifactId>license-maven-plugin</artifactId>
			  <version>4.1</version>
			  <configuration>
			  	<properties>
			  		<email>tim.reichling@init.de</email>
			  		<year>2023</year>
			  		<owner>XBauleitplanung</owner>
			  	</properties>
			    <licenseSets>
			      <licenseSet>
			        <header>com/mycila/maven/plugin/license/templates/APACHE-2.txt</header>
			        <excludes>
			          <exclude>**/README</exclude>
			          <exclude>src/test/resources/**</exclude>
			          <exclude>src/main/resources/**</exclude>
			          <exclude>pom.xml</exclude>
			        </excludes>
			      </licenseSet>
			    </licenseSets>
			  </configuration>
			</plugin>
        </plugins>
    </build>
</project>
